=== debian/changelog ===
percona-server-5.5 (5.5.23-rel25.3-240.natty) natty; urgency=low

  * Update distribution

 -- Ignacio Nin <ignacio.nin@percona.com>  Fri, 11 May 2012 06:47:56 +0000
