=== debian/changelog ===
percona-server-5.5 (5.5.28-rel29.1-334.oneiric) oneiric; urgency=low

  * Update distribution

 -- Ignacio Nin <ignacio.nin@percona.com>  Thu, 25 Oct 2012 15:09:50 -0400
