=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 TMP=$(CURDIR)/debian/tmp/
 
 feature_set="community"
-compilation_comment_release="Percona Server (GPL), Release 25.3"
-server_suffix="-55"
+major_version=29
+minor_version=1
+compilation_comment_release="Percona Server (GPL), Release $(major_version).$(minor_version)"
+server_suffix="-$(major_version).$(minor_version)"
 prefix="/usr"
 
 clean: clean-patched unpatch
